LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   "slackpkg upgrade-all" finishes with WARNING (http://www.linuxquestions.org/questions/slackware-14/slackpkg-upgrade-all-finishes-with-warning-744432/)

Bruce Hill 08-01-2009 07:27 PM

"slackpkg upgrade-all" finishes with WARNING
 
"slackpkg upgrade-all" with latest Slackware64 -current (Sat Aug 1 00:51:37 CDT 2009) ended with this message:
Code:

==============================================================================
WARNING!        WARNING!        WARNING!        WARNING!        WARNING!
==============================================================================
One or more errors occurred while slackpkg was running:

.:      md5sum

==============================================================================

I cannot find any slackpkg log which would have more information. The md5sum of the
five files in my mirror of Slackware64 -current all test okay.

RaptorX 08-01-2009 08:22 PM

Did all your packages updated or did it aborted?

if it aborted in the middle it might be kind of annoying to check what caused it but if it finished i guess you can probably ignore it.

niels.horn 08-01-2009 08:55 PM

Was your machine up-to-date before running "slackpkg upgrade-all"?

I have seen this message before when one of the packages to upgrade was SlackPkg itself, but today everything went smoothly (but I was using a beta-version of SlackPkg...).

Nille_kungen 08-01-2009 09:39 PM

Try another mirror maybe your mirror has an bad package, it's rare but it can happen that something goes wrong when the mirror syncs.
I had an mirror with some package with wrong md5sum but that was long ago so it can happen.

Bruce Hill 08-01-2009 10:06 PM

Good to have an unlimited scrollback buffer. Just checked stdout to see what
might be there and found the reason for the warning:
Code:

grep: /var/lib/slackpkg/pkglist: No such file or directory
        Package yasm-0.8.0-x86_64-1.txz is already in cache - not downloading
md5sum: /var/cache/packages//yasm-0.8.0-x86_64-1.txz: No such file or directory
        ERROR - Package not installed! md5sum error!

I had installed Alien Bob's yasm to use the latest x264 codec when
building VLC, iirc. Once Slackware64 -current was released, it had
yasm and I have been deselecting it for update. Today I went ahead
and told it to update yasm, but it has the same version as his pkg,
because, he compiled them both.

Thanks for your replies and helping with my PEBKAC problem.


All times are GMT -5. The time now is 02:30 PM.